BC127 Bluetooth Module Library
==================

General purpose Arduino library for the BC127 module by BlueCreation.

[![BC127 Breakout Board](https://dlnmh9ip6v2uc.cloudfront.net/images/products/1/1/9/2/7/11927-01_medium.jpg)  
*BC127 Breakout Board*](https://www.sparkfun.com/products/11927)  
[![PurpleTooth Jamboree](https://dlnmh9ip6v2uc.cloudfront.net/images/products/1/1/9/2/4/11924-01_medium.jpg)  
*PurpleTooth Jamboree*](https://www.sparkfun.com/products/11924)  

Arduino library and example files for the [BC127 Breakout Board](https://www.sparkfun.com/products/11927) and the [PurpleTooth Jamboree](https://www.sparkfun.com/products/11924).

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[PurpleTooth Jamboree Repository](https://github.com/sparkfun/Purpletooth_Jamboree) - Main repo for the PurpleTooth Jamboree, including hardware files.
* **[BC127 Breakout Board](https://github.com/sparkfun/BC127_Breakout_Board) - Main repo for the bare BC127 module breakout, including hardware files.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/understanding-the-bc127-bluetooth-module?_ga=1.177399590.2027565913.1426710239)** - Basic hookup guide for the BC127 Breakout Board and PurpleTooth Jamboree.

Products that use this Library 
---------------------------------

* [PurpleTooth Jamboree](https://www.sparkfun.com/products/11924)- A BC127-based board with on-board audio signal conditioning hardware.
* [BC127 Breakout Board](https://www.sparkfun.com/products/11927)- A simple BC127 breakout which exposes all available IO pins to the user.

Version History
---------------

* [V_1.0.0]() - Initial release.

License Information
-------------------

This product is _**open source**_! 

The **code** is beerware; if you see me (or any other SparkFun employee) at the local, and you've found our code helpful, please buy us a round!

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
