/*---------------------------------------------------------------------------
File : ledmxfont.c

Author : Hoang Nguyen Hoan          Feb. 28, 2011

Desc : Font definitions for use with LED Matrix Display

Copyright (c) 2011, I-SYST inc, all rights reserved

Permission to use, copy, modify, and distribute this software for any purpose
with or without fee is hereby granted, provided that the above copyright
notice and this permission notice appear in all copies, and none of the
names : I-SYST or its contributors may be used to endorse or
promote products derived from this software without specific prior written
permission.

For info or contributing contact : hnhoan at i-syst dot com

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

----------------------------------------------------------------------------
Modified by          Date              Description
----------------------------------------------------------------------------*/
#include "ledmxfont.h"

const LEDMXFONT_BITMAP g_FontBitmap[256] PROGMEM = {
	{0, {0,}},	// 0x00 (0)
	{0, {0,}},	// 0x01	(1)
	{0, {0,}},	// 0x02 (2)
	{0, {0,}},	// 0x03 (3)
	{0, {0,}},	// 0x04 (4)
	{0, {0,}},	// 0x05 (5)
	{0, {0,}},	// 0x06 (6)
	{0, {0,}},	// 0x07 (7)
	{0, {0,}},	// 0x08 (8)
	{0, {0,}},	// 0x09 (9)
	{0, {0,}},	// 0x0A (10)
	{0, {0,}},	// 0x0B (11)
	{0, {0,}},	// 0x0C (12)
	{0, {0,}},	// 0x0D (13)
	{0, {0,}},	// 0x0E (14)
	{0, {0,}},	// 0x0F (15)
	{0, {0,}},	// 0x10 (16)
	{0, {0,}},	// 0x11 (17)
	{0, {0,}},	// 0x12 (18)
	{0, {0,}},	// 0x13 (19)
	{0, {0,}},	// 0x14 (20)
	{0, {0,}},	// 0x15 (21)
	{0, {0,}},	// 0x16 (22)
	{0, {0,}},	// 0x17 (23)
	{0, {0,}},	// 0x18 (24)
	{0, {0,}},	// 0x19 (25)
	{0, {0,}},	// 0x1A (26)
	{0, {0,}},	// 0x1B (27)
	{0, {0,}},	// 0x1C (28)
	{0, {0,}},	// 0x1D (29)
	{0, {0,}},	// 0x1E (30)
	{0, {0,}},	// 0x1F (31)
	{5, {0,}},	// space 0x20 (32)
	{2, {0xfa, 0,}},						// ! 0x21 (33)
											// #
											// #
											// #
											// #
											// #
											//
											// #
											//
	{5, {0x20, 0xc0, 0x20, 0xc0,}},			// " 0x22 (34)
											//  # #
											//  # #
											// # #
											//
											//
											//
											//
											//
	{6, {0x28, 0xfe, 0x28, 0xfe, 0x28,}},	// # 0x23 (35)
											//  # #
											//  # #
											// #####
											//  # #
											// #####
											//  # #
											//  # #
											//
	{4, {0x64, 0xfe, 0x4c,}},				// $
											//  #
											// ###
											// ##
											//  #
											//  ##
											// ###
											//  #
											//
	{6, {0x44, 0xa8, 0x54, 0x2a, 0x44,}},	// %
											//  #
											// # # #
											//  # #
											//   #
											//  # #
											// # # #
											//    #
											//
	{6, {0x4c, 0xb2, 0x4a, 0x04, 0x0a,}},	// &
											//  #
											// # #
											//  #
											//  #
											// # # #
											// #  #
											//  ## #
											//

	{3, {0x20, 0xc0,}},						// '
											//  #
											//  #
											// #
											//
											//
											//
											//
											//
	{4, {0x38, 0x44, 0x82,}},				// (
	{4, {0x82, 0x44, 0x38,}}, 				// )
	{6, {0x54, 0x38, 0xfe, 0x38, 0x54,}},	// *
	{6, {0x10, 0x10, 0x7c, 0x10, 0x10,}},	// +
	{3, {0x1, 0x6,}},						// ,
											//
											//
											//
											//
											//
											//  #
											//  #
											// #
	{5, {0x10, 0x10, 0x10, 0x10,}},			// -
											//
											//
											//
											// ####
											//
											//
											//
											//
	{2, {0x2,}},							// .
											//
											//
											//
											//
											//
											//
											// #
											//
	{6, {0x2, 0xc, 0x10, 0x60, 0x80,}},		// /
											//     #
											//    #
											//    #
											//   #
											//  #
											//  #
											// #
											//
	{5, {0x7c, 0x82, 0x82, 0x7c,}},			// 0
	{4, {0x42, 0xfe, 0x2,}},				// 1
	{5, {0x46, 0x8a, 0x92, 0x62,}}, 		// 2
	{5, {0x44, 0x92, 0x92, 0x6c,}},			// 3
	{6, {0x18, 0x28, 0x48, 0xfe, 0x8,}},	// 4
	{5, {0xf4, 0x92, 0x92, 0x1c,}},			// 5
	{5, {0x7c, 0x92, 0x92, 0x0c,}}, 		// 6
	{5, {0x86, 0x88, 0x90, 0xe0,}},			// 7
	{5, {0x6c, 0x92, 0x92, 0x6c,}},			// 8
	{5, {0x62, 0x92, 0x92, 0x7c,}}, 		// 9
	{2, {0x24,}},							// :
	{3, {1, 0x16,}},						// ;
	{5, {0x10, 0x28, 0x44, 0x82,}},			// <
	{5, {0x28, 0x28, 0x28, 0x28,}},			// =
	{5, {0x82, 0x44, 0x28, 0x10,}},			// >
	{5, {0x40, 0x8a, 0x90, 0x60,}},			// ?
	{6, {0x3c, 0x42, 0x9a, 0xaa, 0x7a,}},	// @
	{6, {0x3e, 0x48, 0x88, 0x48, 0x3e,}},	// A
	{6, {0xfe, 0x92, 0x92, 0x92, 0x6c,}}, 	// B
	{6, {0x7c, 0x82, 0x82, 0x82, 0x44,}},	// C
	{6, {0xfe, 0x82, 0x82, 0x82, 0x7c,}},	// D
	{6, {0xfe, 0x92, 0x92, 0x92, 0x82,}}, 	// E
	{6, {0xfe, 0x90, 0x90, 0x90, 0x80,}},	// F
	{6, {0x7c, 0x82, 0x82, 0x92, 0x9c,}},	// G
	{6, {0xfe, 0x10, 0x10, 0x10, 0xfe,}},	// H
	{4, {0x82, 0xfe, 0x82,}}, 				// I
	{6, {4, 2, 0x82, 0xfc, 0x80}},			// J
	{6, {0xfe, 0x10, 0x28, 0x44, 0x82,}},	// K
	{5, {0xfe, 2, 2, 2,}},					// L
	{6, {0xfe, 0x40, 0x20, 0x40, 0xfe,}},	// M
	{6, {0xfe, 0x40, 0x20, 0x10, 0xfe,}},	// N
	{6,	{0x7c, 0x82, 0x82, 0x82, 0x7c,}},	// O
	{6,	{0xfe, 0x90, 0x90, 0x90, 0x60,}},	// P
	{6, {0x7c, 0x82, 0x86, 0x82, 0x7d,}},	// Q
	{6, {0xfe, 0x90, 0x98, 0x94, 0x62,}},	// R
	{6, {0x64, 0x92, 0x92, 0x92, 0x4c,}},	// S
	{6, {0x80, 0x80, 0xfe, 0x80, 0x80,}},	// T
	{6, {0xfc, 2, 2, 2, 0xfc,}},			// U
	{6, {0xf8, 4, 2, 4, 0xf8,}},			// V
	{6, {0xfc, 2, 0x3c, 2, 0xfc,}},			// W
	{6, {0xc6, 0x28, 0x10, 0x28, 0xc6,}},	// X
	{6, {0xc0, 0x20, 0x1e, 0x20, 0xc0,}},	// Y
	{6, {0x86, 0x8a, 0x92, 0xa2, 0xc2,}},	// Z
	{4, {0xfe, 0x82, 0x82,}},				// [
	{6, {0x80, 0x60, 0x10, 0xc, 0x2,}},		// '\'
											// #
											//  #
											//  #
											//   #
											//    #
											//    #
											//     #
											//
	{4, {0x82, 0x82, 0xfe,}},				// ]
	{6, {0x20, 0x40, 0x80, 0x40, 0x20,}}, 	// ^
	{6, {2, 2, 2, 2, 2, 2,}},				// _
	{4, {0x80, 0x40, 0x20,}},				// `
											// #
											//  #
											//   #
											//
											//
											//
											//
											//
	{6, {4, 0x2a, 0x2a, 0x1c, 2,}},	// a
											//
											//
											//  ##
											//    #
											//  ###
											// #  #
											//  ## #
											//
	{5, {0xfe, 0x22, 0x22, 0x1c,}},			// b
											// #
											// #
											// ###
											// #  #
											// #  #
											// #  #
											// ###
											//
	{5, {0x1c, 0x22, 0x22, 0x22,}},			// c
											//
											//
											//  ###
											// #
											// #
											// #
											//  ###
											//
	{5, {0x1c, 0x22, 0x22, 0xfe,}}, 		// d
											//    #
											//    #
											//  ###
											// #  #
											// #  #
											// #  #
											//  ###
											//
    {5, {0x1c, 0x2a, 0x2a, 0x12,}},			// e
											//
											//
											//  ##
											// #  #
											// ###
											// #
											//  ###
											//
	{5, {0x20, 0x7e, 0xa0, 0xa0,}},			// f
											//   ##
											//  #
											// ####
											//  #
											//  #
											//  #
											//  #
											//
	{5, {0x19, 0x25, 0x25, 0x3e,}},			// g
											//
											//
											//  ###
											// #  #
											// #  #
											//  ###
											//    #
											// ###
	{5, {0xfe, 0x10, 0x20, 0x1e,}},			// h
											// #
											// #
											// # #
											// ## #
											// #  #
											// #  #
											// #  #
											//
	{4, {0x22, 0xbe, 2}},					// i
											//  #
											//
											// ##
											//  #
											//  #
											//  #
											// ###
											//
	{4, {1, 0x21, 0xbe,}},					// j
											//   #
											//
											//  ##
											//   #
											//   #
											//   #
											//   #
											// ##
	{5, {0xfe, 8, 0x14, 0x22,}},			// k
											// #
											// #
											// #  #
											// # #
											// ##
											// # #
											// #  #
											//
	{4, {0x82, 0xfe, 2, }},					// l
											// ##
											//  #
											//  #
											//  #
											//  #
											//  #
											// ###
											//
	{6, {0x3e, 0x10, 0x3e, 0x10, 0x3e,}},	// m
											//
											//
											// # # #
											// #####
											// # # #
											// # # #
											// # # #
											//
	{5, {0x3e, 0x10, 0x20, 0x1e,}},			// n
											//
											//
											// # #
											// ## #
											// #  #
											// #  #
											// #  #
											//
	{5, {0x1c, 0x22, 0x22, 0x1c,}},			// o
											//
											//
											//  ##
											// #  #
											// #  #
											// #  #
											//  ##
											//
	{5, {0x3f, 0x24, 0x24, 0x18,}},			// p
											//
											//
											// ###
											// #  #
											// #  #
											// ###
											// #
											// #
	{5, {0x18, 0x24, 0x24, 0x3f,}},			// q
	{5, {0x3e, 0x10, 0x20, 0x20,}},					// r
											//
											//
											// # ##
											// ##
											// #
											// #
											// #
											//
	{5, {0x12, 0x2a, 0x2a, 0x24,}},			// s
	{5, {0x20, 0xfc, 0x22, 0x22,}},			// t
	{5, {0x3c, 2, 4, 0x3e,}},				// u
											//
											//
											// #  #
											// #  #
											// #  #
											// # ##
											//  # #
											//
	{6, {0x38, 4, 2, 4, 0x38,}},			// v
											//
											//
											// #   #
											// #   #
											// #   #
											//  # #
											//   #
											//
	{6, {0x3c, 2, 0x1c, 2, 0x3c,}},			// w
											//
											//
											// #   #
											// # # #
											// # # #
											// # # #
											//  # #
											//
	{6, {0x22, 0x14, 8, 0x14, 0x22,}},	// x
											//
											//
											// #   #
											//  # #
											//   #
											//  # #
											// #   #
											//
	{5, {0x39, 5, 5, 0x3e,}},			// y
											//
											//
											// #  #
											// #  #
											// #  #
											//  ###
											//    #
											// ###
	{6, {0x22, 0x26, 0x2a, 0x32, 0x22}},		// z
												//
												//
												// #####
												//    #
												//   #
												//  #
												// #####
												//
	{5, {0x10, 0x6c, 0x82, 0x82,}},				// {
	{2, {0xfe,}},								// |
	{5, {0x82, 0x82, 0x6c, 0x10,}},				// }
	{7, {8, 0x10, 0x10, 8, 8, 0x10,}},			// ~
	{7, {0xff, 0xff, 0xff, 0xff, 0xff, 0xff,}},	// 0x7f (127)
	{7, {0x28, 0x38, 0x6c, 0xaa, 0xaa, 0x82,}},	// 0x80 (128)
												//    ###
												//   #
												// #####
												//  #
												// #####
												//   #
												//    ###
												//
	{0, {0,}},	// 0x81
	{0, {0,}},	// 0x82
	{0, {0,}},	// 0x83
	{0, {0,}},	// 0x84
	{0, {0,}},	// 0x85
	{0, {0,}},	// 0x86
	{0, {0,}},	// 0x87
	{0, {0,}},	// 0x88
	{0, {0,}},	// 0x89
	{0, {0,}},	// 0x8A
	{0, {0,}},	// 0x8B
	{0, {0,}},	// 0x8C
	{0, {0,}},	// 0x8D
	{0, {0,}},	// 0x8E
	{0, {0,}},	// 0x8F
	{0, {0,}},	// 0x90
	{0, {0,}},	// 0x91
	{0, {0,}},	// 0x92
	{0, {0,}},	// 0x93
	{0, {0,}},	// 0x94
	{0, {0,}},	// 0x95
	{0, {0,}},	// 0x96
	{0, {0,}},	// 0x97
	{0, {0,}},	// 0x98
	{0, {0,}},	// 0x99
	{0, {0,}},	// 0x9A
	{0, {0,}},	// 0x9B
	{0, {0,}},	// 0x9C
	{0, {0,}},	// 0x9D
	{0, {0,}},	// 0x9E
	{0, {0,}},	// 0x9F
	{0, {0,}},	// 0xA0 (160)
	{0, {0,}},	// 0xA1
	{0, {0,}},	// 0xA2
	{0, {0,}},	// 0xA3
	{0, {0,}},	// 0xA4
	{0, {0,}},	// 0xA5
	{0, {0,}},	// 0xA6
    {0, {0,}},	// 0xA7
    {0, {0,}},	// 0xA8
    {0, {0,}},	// 0xA9
    {0, {0,}},	// 0xAA
    {6, {0x10, 0x28, 0x54, 0x28, 0x44,}},	// « 0xAB (171)
    										//
    										//   # #
    										//  # #
    										// # #
											//  # #
											//   # #
											//
											//
    {0, {0,}},	// 0xAC (172)
    {0, {0,}},	// 0xAD (173)
    {0, {0,}},	// 0xAE (174)
    {0, {0,}},	// 0xAF (175)
    {0, {0,}},	// 0xB0 (176)
    {0, {0,}},	// 0xB1
    {0, {0,}},	// 0xB2
    {0, {0,}},	// 0xB3
    {0, {0,}},	// 0xB4
    {0, {0,}},	// 0xB5
    {0, {0,}},	// 0xB6
    {0, {0,}},	// 0xB7
    {0, {0,}},	// 0xB8
    {0, {0,}},	// 0xB9
    {0, {0,}},	// 0xBA
    {6, {0x44, 0x28, 0x54, 0x28, 0x10,}},	// » 0xBB (187)
											//
											// # #
											//  # #
											//   # #
											//  # #
											// # #
											//
											//
    {0, {0,}},	// 0xBC
    {0, {0,}},	// ½ 0xBD (189)
    {0, {0,}},	// 0xBE
    {0, {0,}},	// 0xBF
	{5, {0x1e, 0xa8, 0x48, 0x28, 0x1e,}},	// À 0xC0 (192)
											//  #
											//   #
											//  # #
											// #   #
											// #####
											// #   #
											// #   #
											//
	{6, {0x1e, 0x28, 0x48, 0xa8, 0x1e,}},	// Á
											//    #
											//   #
											//  # #
											// #   #
											// #####
											// #   #
											// #   #
											//
	{6, {0x1e, 0x68, 0xc8, 0x68, 0x1e,}},	// Â
											//   #
											//  ###
											//  # #
											// #   #
											// #####
											// #   #
											// #   #
											//

	{6, {0x1e, 0x68, 0xc8, 0x68, 0x1e,}},	// Ã
											//   # #
											// 	###
											//  # #
											// #   #
											// #####
											// #   #
											// #   #
											//
	{6, {0x1e, 0xa8, 0x48, 0xa8, 0x1e,}},	// Ä
											//  # #
											//   #
											//  # #
											// #   #
											// #####
											// #   #
											// #   #
											//
	{6, {0xe, 0x58, 0xa8, 0x58, 0xe,}},		// Å
											//   #
											//  # #
											//   #
											//  # #
											// #####
											// #   #
											// #   #
											//
	{7, {0x3e, 0x50, 0x90, 0xfe, 0x92, 0x82}},// Æ
											//   ####
											//  # #
											// #  #
											// #####
											// #  #
											// #  #
											// #  ###
											//
	{6, {0x7c, 0x82, 0x83, 0x82, 0x82,}},	// Ç
											//  ####
											// #
											// #
											// #
											// #
											// #
											//  ####
											//   #
	{6, {0x3e, 0xaa, 0x6a, 0x22, 0x22, }},	// È
											//  #
											//   #
											// #####
											// #
											// ###
											// #
											// #####
											//
	{6, {0x3e, 0x2a, 0x6a, 0xa2, 0x22, }},	// É
											//    #
											//   #
											// #####
											// #
											// ###
											// #
											// #####
											//
	{6, {0x3e, 0x6a, 0xaa, 0x6a, 0x22 }},	// Ê
											//   #
											//  # #
											// #####
											// #
											// ###
											// #
											// #####
											//
	{6, {0x3e, 0xaa, 0x2a, 0xaa, 0x22}},	// Ë
											//  # #
											//
											// #####
											// #
											// ###
											// #
											// #####
											//
	{6, {0x22, 0xa2, 0x7e, 0x22, 0x22, }},	// Ì
											//  #
											//   #
											// #####
											//   #
											//   #
											//   #
											// #####
											//
	{6, {0x22, 0x22, 0x7e, 0xa2, 0x22, }},	// Í
											//    #
											//   #
											// #####
											//   #
											//   #
											//   #
											// #####
											//
	{6, {0x22, 0x62, 0xbe, 0x62, 0x22, }},	// Î
											//   #
											//  # #
											// #####
											//   #
											//   #
											//   #
											// #####
											//
	{6, {0x22, 0xa2, 0x3e, 0xa2, 0x22, }},	// Ï
											//  # #
											//
											// #####
											//   #
											//   #
											//   #
											// #####
											//
	{6, {0x10, 0xfe, 0x92, 0x82, 0x7c, }},	// Ð
											//  ###
											//  #  #
											//  #  #
											// ### #
											//  #  #
											//  #  #
											//  ###
											//
	{6, {0x3e, 0x50, 0x88, 0x44, 0xde, }},	// Ñ
											//   # #
											//  # #
											// #   #
											// ##  #
											// # # #
											// #  ##
											// #   #
											//
	{6, {0x1c, 0xa2, 0x62, 0x22, 0x1c, }},	// Ò
											//  #
											//   #
											//  ###
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x1c, 0x22, 0x62, 0xa2, 0x1c, }},	// Ó
											//    #
											//   #
											//  ###
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x1c, 0x62, 0xa2, 0x62, 0x1c, }},	// Ô
											//   #
											//  # #
											//  ###
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x1c, 0x62, 0xa2, 0x62, 0x9c, }},	// Õ
											//   # #
											//  # #
											//  ###
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x1c, 0xa2, 0x22, 0xa2, 0x1c, }},	// Ö
											//  # #
											//
											//  ###
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{4, {0, 0x18, 0x18,}},	// ï¿½
	{6, {0x7e, 0x8a, 0x92, 0xa2, 0xfc, }},	// Ø
											//  ####
											// #   #
											// #  ##
											// # # #
											// ##  #
											// #   #
											// ####
											//
	{6, {0x3c, 0x82, 0x42, 0x2, 0x3c, }},	// Ù
											//  #
											//   #
											// #   #
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x3c, 0x2, 0x42, 0x82, 0x3c, }},	// Ú
											//    #
											//   #
											// #   #
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x3c, 0x42, 0x82, 0x42, 0x3c, }},	// Û
											//   #
											//  # #
											// #   #
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x3c, 0x82, 0x2, 0x82, 0x3c, }},	// Ü
											//  # #
											//
											// #   #
											// #   #
											// #   #
											// #   #
											//  ###
											//
	{6, {0x3, 0x88, 0x46, 0x8, 0x3, }},		// Ý
											//  #
											//   #
											// #   #
											// #   #
											//  # #
											//   #
											//   #
											//
	{4, {0, 0x18, 0x18,}},	// Þ
	{4, {0, 0x18, 0x18,}},	// ß
	{6, {0x4, 0xaa, 0x6a, 0x1c, 0x2,}},		// à
											//  #
											//   #
											//  ##
											//    #
											//  ###
											// #  #
											//  ## #
											//
	{6, {0x4, 0x2a, 0x6a, 0x9c, 0x2,}},		// á
											//    #
											//   #
											//  ##
											//    #
											//  ###
											// #  #
											//  ## #
											//
	{6, {0x4, 0x6a, 0xaa, 0x5c, 0x2,}},		// â
											//   #
											//  # #
											//  ##
											//    #
											//  ###
											// #  #
											//  ## #
											//
	{6, {0x4, 0x6a, 0xaa, 0x5c, 0x82,}},	// ã
											//   # #
											//  # #
											//  ##
											//    #
											//  ###
											// #  #
											//  ## #
											//
	{6, {0x4, 0xaa, 0x2a, 0x9c, 0x2}},	    // ä
											//  # #
											//
											//  ##
											//    #
											//  ###
											// #  #
											//  ## #
											//
	{6, {0x4, 0x6a, 0xaa, 0x5c, 0x2,}},	    // å
											//   #
											//  # #
											//  ##
											//    #
											//  ###
											// #  #
											//  ## #
											//
	{7, {0x24, 0x2a, 0x1e, 0x2a, 0x2a, 0x10,}},// æ
											//
											//
											// ## ##
											//   #  #
											//  ####
											// # #
											//  ####
											//
	{5, {0x1c, 0x22, 0x23, 0x22,}},			// ç
											//
											//
											//  ###
											// #
											// #
											// #
											//  ###
											//   #
	{5, {0x1c, 0xaa, 0x6a, 0x10,}},			// è
											//  #
											//   #
											//  ##
											// #  #
											// ###
											// #
											//  ##
											//
	{5, {0x1c, 0x6a, 0xaa, 0x10,}},			// é
											//   #
											//  #
											//  ##
											// #  #
											// ###
											// #
											//  ##
											//
	{5, {0x1c, 0x6a, 0xaa, 0x50,}},			// ê
											//   #
											//  # #
											//  ##
											// #  #
											// ###
											// #
											//  ##
											//
	{5, {0x1c, 0xaa, 0x2a, 0x90,}},			// ë
											//  # #
											//
											//  ##
											// #  #
											// ###
											// #
											//  ##
											//
	{4, {0xa2, 0x7e, 0x2,}},				// ì
											// #
											//  #
											// ##
											//  #
											//  #
											//  #
											// ###
											//
	{4, {0x22, 0x7e, 0x82,}},				// í
											//   #
											//  #
											// ##
											//  #
											//  #
											//  #
											// ###
											//
	{4, {0x62, 0xde, 0x42,}},				// î
											//  #
											// # #
											// ##
											//  #
											//  #
											//  #
											// ###
											//
	{4, {0xa2, 0x3e, 0x82,}},				// ï
											// # #
											//
											// ##
											//  #
											//  #
											//  #
											// ###
											//
	{5, {0x5c, 0xa2, 0x62, 0x9c,}},			// ï¿½
											//  # #
											// # #
											//  ##
											// #  #
											// #  #
											// #  #
											//  ##
											//
	{5, {0x7e, 0x90, 0x60, 0x9e,}},			// ñ
											//  # #
											// # #
											// # #
											// ## #
											// #  #
											// #  #
											// #  #
											//
	{5, {0x1c, 0xa2, 0x62, 0x1c,}},			// ò
											//  #
											//   #
											//  ##
											// #  #
											// #  #
											// #  #
											//  ##
											//
	{5, {0x1c, 0x62, 0xa2, 0x1c,}},			// ó
											//   #
											//  #
											//  ##
											// #  #
											// #  #
											// #  #
											//  ##
											//
	{5, {0x5c, 0xa2, 0x62, 0x1c,}},			// ô
											//  #
											// # #
											//  ##
											// #  #
											// #  #
											// #  #
											//  ##
											//
	{5, {0x5c, 0xa2, 0x62, 0x9c,}},			// õ
											//  # #
											// # #
											//  ##
											// #  #
											// #  #
											// #  #
											//  ##
											//
	{5, {0x1c, 0xa2, 0x22, 0x9c,}},			// ö
											//  # #
											//
											//  ##
											// #  #
											// #  #
											// #  #
											//  ##
											//
	{6, {0x10, 0x10, 0x38, 0x10, 0x10,}},	// ÷
											//
											//
											//   #
											// #####
											//   #
											//
											//
											//
	{5, {0,}},	// ï¿½
	{5, {0x3c, 0x82, 0x44, 0x3e,}},			// ù
											//  #
											//   #
											// #  #
											// #  #
											// #  #
											// # ##
											//  # #
											//
	{5, {0x3c, 0x42, 0x84, 0x3e,}},			// ú
											//   #
											//  #
											// #  #
											// #  #
											// #  #
											// # ##
											//  # #
											//
	{5, {0x3c, 0x42, 0x84, 0x7e,}},			// û
											//   #
											//  # #
											// #  #
											// #  #
											// #  #
											// # ##
											//  # #
											//
	{5, {0xbc, 0x2, 0x4, 0xbe,}},			// ü
											// #  #
											//
											// #  #
											// #  #
											// #  #
											// # ##
											//  # #
											//
	{5, {0x39, 0x45, 0x85, 0x3e,}},			// ý
											//   #
											//  #
											// #  #
											// #  #
											// #  #
											//  ###
											//    #
											// ###
	{4, {0, 0x18, 0x18,}},	// þ
	{5, {0xb9, 0x5, 0x5, 0xbe,}},			// ÿ
											// #  #
											//
											// #  #
											// #  #
											// #  #
											//  ###
											//    #
											// ###
};

const int g_FontBitmapSize PROGMEM = sizeof(g_FontBitmap)/sizeof(LEDMXFONT_BITMAP);

